Bug 419741 - Review Request: photoml - An XML DTD and tools for describing photographic metadata
Review Request: photoml - An XML DTD and tools for describing photographic me...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 08:31 EST by Brendt Wohlberg
Modified: 2007-12-28 12:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.24-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 12:19:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendt Wohlberg 2007-12-11 08:31:53 EST
Spec URL: http://www.wohlberg.net/public/software/photo/photoml/photoml.spec
SRPM URL: http://www.wohlberg.net/public/software/photo/photoml/photoml-0.22-1.fc7.src.rpm
Description: 
Photo Description Markup Language (PhotoML) is primarily intended to
provide an XML format and tools for describing details of photo
creation, processing, and content in a collection of photographs. It
is designed to be appropriate for a wide variety of photographic
formats, including roll film (such as 35mm and 120/220), sheet film
(such as 4x5 and 8x10) and digital images. The type of information
represented, while allowing description of details of content,
creation etc. for digital images, does not support some of the more
low-level housekeeping details that might be necessary in an
application such as an online database of digital images. In
particular, PhotoML is not yet another web photo gallery generator.
Comment 1 Brendt Wohlberg 2007-12-19 20:28:05 EST
Due to new upstream release, SRPM URL has changed.

Spec URL: http://www.wohlberg.net/public/software/photo/photoml/photoml.spec
SRPM URL:
http://www.wohlberg.net/public/software/photo/photoml/photoml-0.24-1.fc7.src.rpm
Comment 2 Jason Tibbitts 2007-12-21 00:25:51 EST
The README says "GPL version 2" but the License: tag says GPLv2+.  So is it
"version 2 only", or "version 2 or later"?

One thing I noticed during the build is the following:
  Cannot run XML merge tests without dtdto
I assume this is part of the Perl XML::DTD package; did you plan on packaging
that as well?

Unfortunately this:
  %{_datadir}/doc/*/*
doesn't actually include the directories under /usr/share/doc, just anything
that's within them.  The versioned documentation directory you get by using
%doc is included for you automatically, but the unversioned one the package
installs into isn't.  You should use
  %{_datadir}/doc/%{name}
instead, or convince the program to put the documentation in the versioned
directory.


* source files match upstream:
   0de1f9a8b385725a572791e92ea6187377dc15be7111a3b587a2cd8cb2dcdf25
   photoml-0.24.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (you can skip perl, but it's OK to have it)
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   photoml = 0.24-1.fc9
  =
   /bin/sh
   /usr/bin/perl
   perl(Date::Manip)
   perl(File::Basename)
   perl(File::Copy)
   perl(File::Temp)
   perl(Getopt::Std)
   perl(Image::ExifTool)
   perl(strict)

* %check is present and all tests pass:
   XSL defaults tests
   Failed 0 out of 33 tests

   Tool tests
   Failed 0 out of 4 tests

X doesn't own /usr/share/doc/photoml
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 3 Brendt Wohlberg 2007-12-22 00:06:16 EST
Thanks for your comments. Please see modified files

 Spec URL: http://www.wohlberg.net/public/software/photo/photoml/photoml.spec
 SRPM URL: 
http://www.wohlberg.net/public/software/photo/photoml/photoml-0.24-2.fc7.src.rpm

Problems addressed:
* GPL version issue fixed (now GPLv2)
* All docs now in versioned documentation directory

Other issues:
* XML::DTD and associated tests are not required for the build (no immediate
plans to package XML::DTD)
Comment 4 Jason Tibbitts 2007-12-22 18:25:06 EST
Cool, looks great.

APPROVED
Comment 5 Brendt Wohlberg 2007-12-22 18:59:23 EST
New Package CVS Request
=======================
Package Name: photoml
Short Description: Photographic metadata XML format and tools 
Owners: brendt
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: no
Comment 6 Kevin Fenzi 2007-12-23 13:13:02 EST
cvs done.
Comment 7 Fedora Update System 2007-12-28 12:19:33 EST
photoml-0.24-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-12-28 12:19:58 EST
photoml-0.24-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.